# $Revision: 1.21 $, $Date: 2009/10/16 07:46:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tree
%define		pnam	Nary
Summary:	Tree::Nary - Perl implementation of N-ary search trees
Summary(pl.UTF-8):	Tree::Nary - implementacja perlowa N-arnych drzew wyszukiwań
Name:		perl-Tree-Nary
Version:	1.21
Release:	1
Epoch:		1
# same as perl (README says Public Domain)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2953d138565c8f663c2f6e8f69974a11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Tree::Nary class implements N-ary trees (trees of data with any
number of branches), providing the organizational structure for a tree
(collection) of any number of nodes, but knowing nothing about the
specific type of node used.  It can be used to display hierarchical
database entries in an internal application (the NIS netgroup file is an
example of such a database). It offers the capability to select nodes on
the tree, and attachment points for nodes on the tree. Each attachment
point can support multiple child nodes.

%description -l pl.UTF-8
Klasa Tree::Nary jest implementacją drzew N-arnych (drzew danych z
dowolną liczbą odgałęzień), udostępniającą strukturę organizacyjną dla
drzewa (zestawu) o dowolnej liczbie węzłów, bez wiedzy o konkretnym
typie węzłów. Klasa ta może być używana do wyświetlania rekordów
hierarchicznej bazy danych w wewnętrznej aplikacji (plik grup
sieciowych NIS jest przykładem takiej bazy danych). Oferuje także
możliwość wyboru węzłów w drzewie i punktów dołączania dla węzłów.
Każdy punkt dołączania może służyć wielu węzłom potomnym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tree-Nary.spec,v $
Revision 1.21  2009/10/16 07:46:38  amateja
- updated to 1.21

Revision 1.20  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.18  2006/10/21 16:41:06  ankry
- Epoch bump because of 1.21 in Ra; rel. 2

Revision 1.17  2004/11/03 22:30:52  paladine
- formatting

Revision 1.16  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.15  2004/05/06 18:21:26  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.13  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.12  2004/04/15 21:24:55  ankry
- cosmetics

Revision 1.11  2004/03/07 10:59:58  adamg
- updated to 1.3

Revision 1.10  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:05  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/05 16:32:33  radek
- new, STBR
